# Type alias Pack

Pack: {
code_pages?: CodePagePack[];
config?: object;
event_logs?: EventLogPack[];
library: LibraryPack[];
model_instances: ModelInstancePack[];
models: ModelPack[];
page_groups: PageGroupPack[];
pages: PagePack[];
plugins: PluginPack[];
roles: RolePack[];
tables: TablePack[];
tags: TagPack[];
triggers: TriggerPack[];
views: ViewPack[];
}

#### Type declaration

- ##### `Optional` code_pages?: CodePagePack[]

- ##### `Optional` config?: object

- ##### `Optional` event_logs?: EventLogPack[]

- ##### library: LibraryPack[]

- ##### model_instances: ModelInstancePack[]

- ##### models: ModelPack[]

- ##### page_groups: PageGroupPack[]

- ##### pages: PagePack[]

- ##### plugins: PluginPack[]

- ##### roles: RolePack[]

- ##### tables: TablePack[]

- ##### tags: TagPack[]

- ##### triggers: TriggerPack[]

- ##### views: ViewPack[]

- Defined in saltcorn-types/base_types.ts:564

Generated using TypeDoc